const { getHeaders } = require('../helpers/get-headers')
const { makeRequest } = require('../helpers/make-request')

module.exports = {

  friendlyName: 'Check balance',

  description: 'Fetch the available balance on your integration',

  extendedDescription: ' ',

  cacheable: false,

  sync: false,

  inputs: {
    apiKey: require('../constants/apiKey.input')
  },

  exits: {
    success: {
      variableName: 'result',
      description: 'Done.'
    }
  },

  fn: function ({ apiKey }, exits) {
    makeRequest('/balance', {
      headers: getHeaders(apiKey || process.env.PAYSTACK_API_KEY)
    })
      .then(response => exits.success(response))
      .catch(error => exits.error(error))
  }

}
