const { getHeaders } = require('../helpers/get-headers')
const { makeRequest } = require('../helpers/make-request')

module.exports = {

  friendlyName: 'Delete transfer recipient',

  description: 'Deletes a transfer recipient (sets the transfer recipient to inactive)',

  cacheable: false,

  sync: false,

  inputs: {
    apiKey: require('../constants/apiKey.input'),
    id_or_code: {
      description: 'Transfer Recipient\'s ID or code',
      example: '27',
      required: true
    }
  },

  exits: {
    success: {
      variableName: 'result',
      description: 'Done.'
    }
  },

  fn: function ({ apiKey, id_or_code }, exits) {
    makeRequest(`/transferrecipient/${id_or_code}`, {
      method: 'DELETE',
      headers: getHeaders(apiKey || process.env.PAYSTACK_API_KEY)
    }).then((response) => {
      return exits.success(response)
    }).catch(error => {
      return exits.error(error)
    })
  }
}
