const { getHeaders } = require('../helpers/get-headers')
const { makeRequest } = require('../helpers/make-request')

module.exports = {
  friendlyName: 'Fetch Payment Session Timeout',
  description: 'Fetch the payment session timeout on your integration',
  cacheable: false,
  sync: false,
  inputs: {
    apiKey: require('../constants/apiKey.input')
  },

  exits: {

    success: {
      outputDescription: 'Payment session timeout retrieved'
    }

  },

  fn: function ({ apiKey }, exits) {
    makeRequest('/integration/payment_session_timeout', {
      headers: getHeaders(apiKey || process.env.PAYSTACK_API_KEY)
    }).then(paymentSessionTimeout => exits.success(paymentSessionTimeout))
      .catch(error => exits.error(error))
  }
}
