const { getHeaders } = require('../helpers/get-headers')
const { makeRequest } = require('../helpers/make-request')

module.exports = {
  friendlyName: 'Fetch transfer recipient',
  description: 'Fetch the details of a transfer recipient',
  cacheable: false,
  sync: false,
  inputs: {
    apiKey: require('../constants/apiKey.input'),
    id_or_code: {
      example: 'RCP_2x5j67tnnw1t98k',
      description: 'An ID or code for the recipient whose details you want to receive'
    }
  },
  exits: {
    success: {
      description: 'Done.'
    }
  },
  fn: function ({ apiKey, id_or_code }, exits) {
    makeRequest(`/transferrecipient/${id_or_code}`,
      {
        headers: getHeaders(apiKey || process.env.PAYSTACK_API_KEY)
      }).then((retrievedTransferRecipient) => {
      return exits.success(retrievedTransferRecipient)
    }).catch(error => {
      return exits.error(error)
    })
  }
}
