const { getHeaders } = require('../helpers/get-headers')
const { makeRequest } = require('../helpers/make-request')
module.exports = {

  friendlyName: 'Finalize disable Otp',

  description: 'Finalize the request to disable OTP on your transfers.',

  cacheable: false,

  sync: false,

  inputs: {
    apiKey: require('../constants/apiKey.input'),
    otp: {
      description: 'OTP sent to business phone to verify disabling',
      example: '928783'
    }
  },

  exits: {
    success: {
      variableName: 'result',
      description: 'Done.'
    }
  },

  fn: function ({ apiKey, ...bodyParams }, exits) {
    makeRequest('/transfer/disable_otp_finalize',
      {
        method: 'POST',
        headers: getHeaders(apiKey || process.env.PAYSTACK_API_KEY),
        body: JSON.stringify(bodyParams)
      }).then((response) => {
      return exits.success(response)
    }).catch(error => {
      return exits.error(error)
    })
  }

}
