
const { getHeaders } = require('../helpers/get-headers')
const { makeRequest } = require('../helpers/make-request')
module.exports = {

  friendlyName: 'Resend transfers OTP',

  description: 'Generates a new OTP and sends to customer in the event they are having trouble receiving one.',

  cacheable: false,

  sync: false,

  inputs: {
    apiKey: require('../constants/apiKey.input'),
    transfer_code: {
      description: 'Transfer code',
      example: 'TRF_vsyqdmlzble3uii',
      required: true
    },
    reason: {
      descriptin: 'Either disable_otp or transfer',
      example: 'disable_otp',
      required: true
    }
  },

  exits: {
    success: {
      variableName: 'result',
      description: 'Done.'
    }
  },

  fn: function ({ apiKey, ...bodyParams }, exits) {
    makeRequest('/transfer/resend_otp', {
      method: 'POST',
      headers: getHeaders(apiKey || process.env.PAYSTACK_API_KEY),
      body: JSON.stringify(bodyParams)
    }).then(response => exits.success(response)
    ).catch(error => {
      return exits.error(error)
    })
  }

}
