const { makeRequest } = require('../helpers/make-request')
const { getHeaders } = require('../helpers/get-headers')
module.exports = {

  friendlyName: 'Resume bulk charge batch',

  description: 'Resume processing a batch',

  cacheable: false,

  sync: false,

  inputs: {
    apiKey: require('../constants/apiKey.input'),
    batch_code: {
      description: 'The batch code for the bulk charge you want to resume',
      example: 'BTC_35435ndgknsbk',
      required: true
    }

  },

  exits: {

    success: {
      variableName: 'result',
      description: 'Done.'
    }

  },

  fn: function ({ apiKey, batch_code }, exits) {
    makeRequest(`/bulkcharge/resume/${batch_code}`, {
      headers: getHeaders(apiKey || process.env.PAYSTACK_API_KEY)
    }).then(response => exits.success(response))
      .catch(error => exits.error(error))
  }

}
