const { getHeaders } = require('../helpers/get-headers')
const { makeRequest } = require('../helpers/make-request')

module.exports = {

  friendlyName: 'Verify transfer',

  description: 'Verify the status of a transfer on your integration',

  cacheable: false,

  sync: false,

  inputs: {
    apiKey: require('../constants/apiKey.input'),
    reference: {
      example: 'bdc914c4-7a18-5488-afa6-56389a8696f9',
      descripton: 'Transfer reference'
    }

  },

  exits: {
    success: {
      variableName: 'result',
      description: 'Done.'
    }
  },

  fn: function ({ apiKey, reference }, exits) {
    makeRequest(`/transfer/verify/${reference}`, {
      headers: getHeaders(apiKey || process.env.PAYSTACK_API_KEY)
    })
      .then((transferRetrived) => exits.success(transferRetrived))
      .catch((error) => exits.error(error))
  }
}
